package org.reti.element;

import java.util.HashMap;

public class MagazzinoLibri {

	private HashMap<String, Libro> magazzino;
	private String nome;
	
	public MagazzinoLibri(String nome){
		this.nome = nome;
		magazzino = new HashMap<String,Libro>();
	}
	
	public void addLibro(Libro l){
		magazzino.put(l.getIsbn(), l);
	}
	
	public void removeLibro(String isbn){
		magazzino.remove(isbn);
	}
	
	public Libro getLibro(String isbn) throws LibroNotFoundException{
		Libro temp = magazzino.get(isbn);
		if(temp != null){
			return temp;
		}else
			throw new LibroNotFoundException();
	}
	
	
	public static void main(String[] args) {
		

	}

}
