package org.reti.element;

public class Autore {
	
	private String nome;
	private String secNome;
	private String cognome;
	
	

	public Autore(String nome, String secNome, String cognome) {
		super();
		this.nome = nome;
		this.secNome = secNome;
		this.cognome = cognome;
	}
	

	public String getNome() {
		return nome;
	}


	public void setNome(String nome) {
		this.nome = nome;
	}


	public String getSecNome() {
		return secNome;
	}





	public void setSecNome(String secNome) {
		this.secNome = secNome;
	}





	public String getCognome() {
		return cognome;
	}


	public void setCognome(String cognome) {
		this.cognome = cognome;
	}


	
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((cognome == null) ? 0 : cognome.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		result = prime * result + ((secNome == null) ? 0 : secNome.hashCode());
		return result;
	}


	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Autore other = (Autore) obj;
		if (cognome == null) {
			if (other.cognome != null)
				return false;
		} else if (!cognome.equals(other.cognome))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		if (secNome == null) {
			if (other.secNome != null)
				return false;
		} else if (!secNome.equals(other.secNome))
			return false;
		return true;
	}


	
	
	@Override
	public String toString() {
		return nome +" "+secNome+" "+cognome;
	}


	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Autore a1 = new Autore("Gino","","Pino");
		Autore a2 = new Autore("Lino","","Mino");
		Libro l = new Libro("Titolo","23232","fsdf",a1,a2,new Autore("Mario","","Ossi"));
		System.out.println(l);
	}

}
